SUSE Security Update: Security update for openssl-1_1
______________________________________________________________________________

Announcement ID:    SUSE-SU-2020:3722-1
Rating:             important
References:         #1179491 
Cross-References:   CVE-2020-1971
Affected Products:
                    SUSE Linux Enterprise Server for SAP 15
                    SUSE Linux Enterprise Server 15-LTSS
                    SUSE Linux Enterprise High Performance Computing 15-LTSS
                    SUSE Linux Enterprise High Performance Computing 15-ESPOS
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for openssl-1_1 fixes the following issues:

   - CVE-2020-1971: Fixed a null pointer dereference in EDIPARTYNAME
     (bsc#1179491).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server for SAP 15:

      zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2020-3722=1

   - SUSE Linux Enterprise Server 15-LTSS:

      zypper in -t patch SUSE-SLE-Product-SLES-15-2020-3722=1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-2020-3722=1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-2020-3722=1



Package List:

   - SUSE Linux Enterprise Server for SAP 15 (ppc64le x86_64):

      libopenssl-1_1-devel-1.1.0i-4.54.1
      libopenssl1_1-1.1.0i-4.54.1
      libopenssl1_1-debuginfo-1.1.0i-4.54.1
      libopenssl1_1-hmac-1.1.0i-4.54.1
      openssl-1_1-1.1.0i-4.54.1
      openssl-1_1-debuginfo-1.1.0i-4.54.1
      openssl-1_1-debugsource-1.1.0i-4.54.1

   - SUSE Linux Enterprise Server for SAP 15 (x86_64):

      libopenssl1_1-32bit-1.1.0i-4.54.1
      libopenssl1_1-32bit-debuginfo-1.1.0i-4.54.1
      libopenssl1_1-hmac-32bit-1.1.0i-4.54.1

   - SUSE Linux Enterprise Server 15-LTSS (aarch64 s390x):

      libopenssl-1_1-devel-1.1.0i-4.54.1
      libopenssl1_1-1.1.0i-4.54.1
      libopenssl1_1-debuginfo-1.1.0i-4.54.1
      libopenssl1_1-hmac-1.1.0i-4.54.1
      openssl-1_1-1.1.0i-4.54.1
      openssl-1_1-debuginfo-1.1.0i-4.54.1
      openssl-1_1-debugsource-1.1.0i-4.54.1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS (aarch64 x86_64):

      libopenssl-1_1-devel-1.1.0i-4.54.1
      libopenssl1_1-1.1.0i-4.54.1
      libopenssl1_1-debuginfo-1.1.0i-4.54.1
      libopenssl1_1-hmac-1.1.0i-4.54.1
      openssl-1_1-1.1.0i-4.54.1
      openssl-1_1-debuginfo-1.1.0i-4.54.1
      openssl-1_1-debugsource-1.1.0i-4.54.1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS (x86_64):

      libopenssl1_1-32bit-1.1.0i-4.54.1
      libopenssl1_1-32bit-debuginfo-1.1.0i-4.54.1
      libopenssl1_1-hmac-32bit-1.1.0i-4.54.1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS (aarch64 x86_64):

      libopenssl-1_1-devel-1.1.0i-4.54.1
      libopenssl1_1-1.1.0i-4.54.1
      libopenssl1_1-debuginfo-1.1.0i-4.54.1
      libopenssl1_1-hmac-1.1.0i-4.54.1
      openssl-1_1-1.1.0i-4.54.1
      openssl-1_1-debuginfo-1.1.0i-4.54.1
      openssl-1_1-debugsource-1.1.0i-4.54.1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS (x86_64):

      libopenssl1_1-32bit-1.1.0i-4.54.1
      libopenssl1_1-32bit-debuginfo-1.1.0i-4.54.1
      libopenssl1_1-hmac-32bit-1.1.0i-4.54.1


References:

   https://www.suse.com/security/cve/CVE-2020-1971.html
   https://bugzilla.suse.com/1179491